//
// MainPage.xaml.h
// Declaration of the MainPage class.
//

#pragma once

#include "AStarViewModel.h"

#include "MainPage.g.h"

#include "ContinuationManager.h"

namespace AStarDemoWin
{
	/// <summary>
	/// An empty page that can be used on its own or navigated to within a Frame.
	/// </summary>
	public ref class MainPage sealed : IFileOpenPickerContinuable
	{
	public:
		MainPage();

		virtual void ContinueFileOpenPicker(Windows::ApplicationModel::Activation::FileOpenPickerContinuationEventArgs^ args);

	protected:
		virtual void OnNavigatedTo(Windows::UI::Xaml::Navigation::NavigationEventArgs^ e) override;

	private:
		void OpenMap_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e);
		void Page_Loaded(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e);
	};
}
